GuideLab API

Update draft defaults with optimistic concurrency

PATCH
/price-lists/{priceListId}/versions/{versionId}

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

priceListId*string
Length1 <= length
versionId*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/price-lists/string/versions/string" \  -H "Content-Type: application/json" \  -d '{    "expectedRevision": 0,    "defaultDiscountPercent": "string"  }'
{  "version": {    "id": "string",    "labId": "string",    "priceListId": "string",    "currency": "string",    "publicationNumber": 0,    "defaultDiscountPercent": "string",    "revision": 0,    "effectiveFrom": "2019-08-24T14:15:22Z",    "effectiveUntil": "2019-08-24T14:15:22Z",    "createdBy": "string",    "publishedAt": "2019-08-24T14:15:22Z",    "publishedBy": "string",    "cancelledAt": "2019-08-24T14:15:22Z",    "cancelledBy": "string",    "endedEarlyAt": "2019-08-24T14:15:22Z",    "endedEarlyBy": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
Empty
Empty
Empty
Empty
Empty
Empty